Bug 67343 (Dialog-Buttons-Unification) - [META] Standardize order of OK, Cancel, Help buttons in all dialog windows
Summary: [META] Standardize order of OK, Cancel, Help buttons in all dialog windows
Status: NEW
Alias: Dialog-Buttons-Unification
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:5.1.0 target:5.2.0
Keywords:
Depends on: 39312 112677 112897 116029 118457 124264
Blocks: Dialog-UX Button-Controls
  Show dependency treegraph
 
Reported: 2013-07-26 09:26 UTC by Murz
Modified: 2019-03-22 12:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Murz 2013-07-26 09:26:06 UTC
Now on each dialog window position and order of OK, Cancel, Help and other buttons are different.
Here is example:
Options window: http://wstaw.org/m/2013/07/26/plasma-desktopD24006.png
OK | Cancel | Help | Revert

Text import window: http://wstaw.org/m/2013/07/26/plasma-desktopd24006.png 
Help | Cancel | OK

Will be good to select only one order globally for all libreoffice applications, describe it in documentation, and update all dialog windows for changing order to described.
Comment 1 Caolán McNamara 2013-07-26 09:51:34 UTC
The plan is to convert everything to .ui format, keeping the button order unchanged from pre .ui to post .ui until we are complete, or near complete, and then sort the button ordering automatically in the native order of the platform/desktop environment.
Comment 2 Owen Genat (retired) 2013-07-26 13:35:09 UTC
This matter was raised on the LO Design list about a month ago. This page of illustrative dialog examples was provided:

https://wiki.documentfoundation.org/User:Eresus

Thanks for the information Caolán about the manner in which this is to occur. This part of the Guidelines section of TDF Development WidgetLayout page (https://wiki.documentfoundation.org/Development/WidgetLayout#Guidelines) appears to relate to what you mention:

>Use "ok", "help", "cancel", "close", "save", etc. as the names for the gtk-ok, 
>gtk-help, gtk-cancel, etc buttons. This is important to allow button reordering 
>to match the current windowing environment rules. For message boxes, the button 
>names of "discard", "cancel" and "save" enable the Windows+KDE save-discard-
>cancel vs GNOME+MacOSX discard-cancel-save layout rules.
Comment 3 Jorendc 2013-10-20 08:59:29 UTC
Ok, lets mark as NEW for the moment. If this task is done (after all dialogs are converted) we can mark it as fixed. Until now still a valid and new enhancement request.

Kind regards,
Joren
Comment 4 Commit Notification 2015-01-05 10:01:57 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adfc260b4bdce558855a12cb3985c2da026d3a8d

fdo#67343 Arrange Help button in a secondary group

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-07-01 12:28:28 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9ece6a182bc116c1fe4c842514e85f219b1f4d3

tdf#67343 Arrange Help button in a seconday group (extensions)

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2015-07-10 16:20:08 UTC
Also, buttons should behave properly. For example, Cancel should cancel the operation, as in Bug 86671, where Cancel now behaves as No.
Comment 7 Commit Notification 2016-02-11 00:07:29 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5ee428672ec63dc97d7e92f32c112bd9347fdbd

tdf#67343 Standardize order of dialog buttons

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-02-11 00:09:44 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6f876d45bd4e41a7143594a6cb11b6893a0f620

tdf#67343 Standardize order of dialog buttons

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2016-09-15 21:18:04 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2017-03-01 11:55:16 UTC
Extract from IRC:
<ohallot> x1sc0: on tdf#67343, the remaining dialogs (if any) are deeply burried into corner cases. To get all of them we need a script on the ui files and detect the position of the Help button - modulo if buttons are verticaly aligned -  and extract the faulty.